Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		openal
Version:	1.10.622
Release:	1
License:	GNU/GPL 
URL:		http://www.openal.org
Group:		Sound
Source0:	%{name}-soft-%{version}.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	OpenAL is a 3D-audio library.

BuildRequires:	cmake

BuildRequires:	alsa-lib-devel
BuildRequires:  portaudio-devel
BuildRequires:  pulseaudio-libs-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: pkg-config

%description
OpenAL is a free 3D-audio library, with a programming interface similar
to that of OpenGL.
For more details see: http://www.openal.org

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
#/sbin/install-info %_infodir/%{name}.info.gz %_infodir/dir
ldconfig

%preun
#if [ "$1" = 0 ]; then
#/sbin/install-info --del %_infodir/%{name}.info.gz %_infodir/dir
#fi

%postun
ldconfig

%prep
%setup -q -n %{name}-soft-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
pushd build
cmake ../. -DCMAKE_INSTALL_PREFIX=%{_prefix} -DALSOFT_CONFIG=ON
make
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd


%files
%defattr(-,root,root)
%{_sysconfdir}/openal/alsoft.conf
%{_libdir}/libopenal.so.*
%{_bindir}/openal-info

%files devel
%defattr(-,root,root)
%{_includedir}/AL
%{_libdir}/libopenal.so
%{_pkgconfig}/openal.pc


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Oct 10 2007 Christian Metzen <metzench@ccux-linux.de> 0.0.8-5
- rebuild against latest libs
* Fri Aug 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.0.8-4
- rebuilt
- fixed g++ incomplete type issue
* Tue Nov 29 2005 Christian Wasem <wasem@ccux-linux.de> 0.0.8-3
- added more files to devel, added additional stuff,
- added info install, changed group to Sound
* Mon Nov 28 2005 Uli Schukraft <schukraft@ccux-linux.de> 0.0.8-2
- Removed unnecessary Obsoletes-Tag, added dependency: esound
* Mon Mar 07 2005 Christian Wasem <wasem@ccux-linux.de> 0.0.8-1
- Initial Release
